Package de.geolykt.starloader.deobf.access

# Class AccessWidenerReader

java.lang.Object
de.geolykt.starloader.deobf.access.AccessWidenerReader

All Implemented Interfaces:
  `AutoCloseable`

@Deprecated @ScheduledForRemoval(inVersion="5.0.0") public class AccessWidenerReader extends Object implements AutoCloseable
Deprecated.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`AccessWidenerReader.IllegalHeaderException`
Deprecated.

## Constructor Summary

Constructors
Constructor
Description
`AccessWidenerReader(AccessTransformInfo atInfo, InputStream stream, boolean runtime)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Deprecated.
`void`
`readHeader()`
Deprecated.
`boolean`
`readLn()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessWidenerReader

public AccessWidenerReader(AccessTransformInfo atInfo, InputStream stream, boolean runtime)
Deprecated.

## Method Details

### readHeader

public void readHeader() throws AccessWidenerReader.IllegalHeaderException, IOException
Deprecated.

Throws:
  `AccessWidenerReader.IllegalHeaderException`
  `IOException`

### readLn

public boolean readLn() throws IOException
Deprecated.

Throws:
  `IOException`

### close

public void close() throws IOException
Deprecated.

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`